LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_GPDMA_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_GPDMA_T Struct Reference
CHIP: LPC18xx/43xx General Purpose DMA driver

## Detailed Description

GPDMA register block.

Definition at line 64 of file gpdma_18xx_43xx.h.

`#include "gpdma_18xx_43xx.h"`

## Data Fields
__I uint32_t | INTSTAT
__I uint32_t | INTTCSTAT
__O uint32_t | INTTCCLEAR
__I uint32_t | INTERRSTAT
__O uint32_t | INTERRCLR
__I uint32_t | RAWINTTCSTAT
__I uint32_t | RAWINTERRSTAT
__I uint32_t | ENBLDCHNS
__IO uint32_t | SOFTBREQ
__IO uint32_t | SOFTSREQ
__IO uint32_t | SOFTLBREQ
__IO uint32_t | SOFTLSREQ
__IO uint32_t | CONFIG
__IO uint32_t | SYNC
__I uint32_t | RESERVED0 [50]
GPDMA_CH_T | CH [GPDMA_NUMBER_CHANNELS]

## Field Documentation

GPDMA_CH_T CH[GPDMA_NUMBER_CHANNELS]

Definition at line 80 of file gpdma_18xx_43xx.h.

__IO uint32_t CONFIG

DMA Configuration Register

Definition at line 77 of file gpdma_18xx_43xx.h.

__I uint32_t ENBLDCHNS

DMA Enabled Channel Register

Definition at line 72 of file gpdma_18xx_43xx.h.

__O uint32_t INTERRCLR

DMA Interrupt Error Clear Register

Definition at line 69 of file gpdma_18xx_43xx.h.

__I uint32_t INTERRSTAT

DMA Interrupt Error Status Register

Definition at line 68 of file gpdma_18xx_43xx.h.

__I uint32_t INTSTAT

< GPDMA Structure DMA Interrupt Status Register

Definition at line 65 of file gpdma_18xx_43xx.h.

__O uint32_t INTTCCLEAR

DMA Interrupt Terminal Count Request Clear Register

Definition at line 67 of file gpdma_18xx_43xx.h.

__I uint32_t INTTCSTAT

DMA Interrupt Terminal Count Request Status Register

Definition at line 66 of file gpdma_18xx_43xx.h.

__I uint32_t RAWINTERRSTAT

DMA Raw Error Interrupt Status Register

Definition at line 71 of file gpdma_18xx_43xx.h.

__I uint32_t RAWINTTCSTAT

DMA Raw Interrupt Terminal Count Status Register

Definition at line 70 of file gpdma_18xx_43xx.h.

__I uint32_t RESERVED0[50]

Definition at line 79 of file gpdma_18xx_43xx.h.

__IO uint32_t SOFTBREQ

DMA Software Burst Request Register

Definition at line 73 of file gpdma_18xx_43xx.h.

__IO uint32_t SOFTLBREQ

DMA Software Last Burst Request Register

Definition at line 75 of file gpdma_18xx_43xx.h.

__IO uint32_t SOFTLSREQ

DMA Software Last Single Request Register

Definition at line 76 of file gpdma_18xx_43xx.h.

__IO uint32_t SOFTSREQ

DMA Software Single Request Register

Definition at line 74 of file gpdma_18xx_43xx.h.

__IO uint32_t SYNC

DMA Synchronization Register

Definition at line 78 of file gpdma_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/gpdma_18xx_43xx.h